import { Button } from "@/components/ui/button";
import { ArrowLeft, ArrowRight } from "lucide-react";

interface PaginationControlsProps {
	currentPage: number;
	totalPages: number;
	onPageChange: (page: number) => void;
	onNextPage: () => void;
	onPrevPage: () => void;
}

const PaginationControls = ({
	currentPage,
	totalPages,
	onPageChange,
	onNextPage,
	onPrevPage,
}: PaginationControlsProps) => {
	return (
		<>
			{/* Navigation Buttons */}
			{totalPages > 1 && (
				<div className="flex gap-2">
					<Button
						variant="outline"
						size="icon"
						className="rounded-full h-8 w-8 border-[#2895C8]"
						aria-label="Previous Review"
						onClick={onPrevPage}
						disabled={totalPages <= 1}
					>
						<ArrowRight className="h-4 w-4 text-[#2895C8]" />
					</Button>
					<Button
						variant="outline"
						size="icon"
						className="rounded-full h-8 w-8 border-[#2895C8]"
						aria-label="Next Review"
						onClick={onNextPage}
						disabled={totalPages <= 1}
					>
						<ArrowLeft className="h-4 w-4 text-[#2895C8]" />
					</Button>
				</div>
			)}

		</>
	);
};

export default PaginationControls; 